package com.iformall.enums;


/**
 * @author Stormeye
 */

public enum EnumOrderFrom {

    INSIDE(0,"内部使用"),
    POS(1,"来源于POS")
    ;

    public static EnumOrderFrom getEnum(Integer code) {
        for (EnumOrderFrom value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumOrderFrom(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
